FROM mcr.microsoft.com/dotnet/aspnet:8.0-jammy-chiseled

ARG description="Docker image with ASP.NET Core, based on Ubuntu Linux"
LABEL description=${description} org.opencontainers.image.description=${description}

# Use ports which do not require root user.
EXPOSE 8080

ENV PORT=8080 \
    # Tell ASP.NET Core to use a fixed port.
    ASPNETCORE_HTTP_PORTS=${PORT}

WORKDIR /opt/app

# Run as an unprivileged application user. By specifying the numeric UID,
# "runAsNonRoot" flag within Kubernetes security context can be set to true.
USER $APP_UID
